MsWrdParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MsWrdParserInternal::State Struct Reference

Internal: the state of a MsWrdParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
long | m_bot
| the begin of the text More...
long | m_eot
| end of the text More...
bool | m_endNote
| a flag to know if we must place the note at the end or in the foot part More...
std::map< long, Picture > | m_picturesMap
| the map filePos -> Picture More...
std::vector< Object > | m_objectList [2]
| the list of object ( mainZone, other zone) More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
std::vector< int > | m_headersId
| the list of header id which corresponds to each page More...
std::vector< int > | m_footersId
| the list of footer id which corresponds to each page More...
librevenge::RVNGPropertyList | m_metaData
| the meta data More...

## Detailed Description

Internal: the state of a MsWrdParser.

## Constructor & Destructor Documentation

## ◆ State()

MsWrdParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int MsWrdParserInternal::State::m_actPage

the actual page

## ◆ m_bot

long MsWrdParserInternal::State::m_bot

the begin of the text

## ◆ m_endNote

bool MsWrdParserInternal::State::m_endNote

a flag to know if we must place the note at the end or in the foot part

## ◆ m_eot

long MsWrdParserInternal::State::m_eot

end of the text

## ◆ m_footersId

std::vector<int> MsWrdParserInternal::State::m_footersId

the list of footer id which corresponds to each page

## ◆ m_headersId

std::vector<int> MsWrdParserInternal::State::m_headersId

the list of header id which corresponds to each page

## ◆ m_metaData

librevenge::RVNGPropertyList MsWrdParserInternal::State::m_metaData

the meta data

## ◆ m_numPages

int MsWrdParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_objectList

std::vector<Object> MsWrdParserInternal::State::m_objectList[2]

the list of object ( mainZone, other zone)

## ◆ m_picturesMap

std::map<long, Picture> MsWrdParserInternal::State::m_picturesMap

the map filePos -> Picture

The documentation for this struct was generated from the following file:

- MsWrdParser.cxx